/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */

#ifndef V1_COMMONAPI_TELUX_CV2X_Cv2x_Radio_Types_SOMEIP_DEPLOYMENT_HPP_
#define V1_COMMONAPI_TELUX_CV2X_Cv2x_Radio_Types_SOMEIP_DEPLOYMENT_HPP_


#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif
#include <CommonAPI/SomeIP/Deployment.hpp>
#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace cv2x {
namespace Cv2xRadioTypes_ {

// Interface-specific deployment types
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> TrafficCategoryDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> Cv2xStatusTypeDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> Cv2xCauseTypeDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> TrafficIpTypeDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> RadioConcurrencyModeDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> Cv2xEventDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> PriorityDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> PeriodicityDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::EmptyDeployment
> Cv2xStatusDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::StructDeployment<
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
        CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
        CommonAPI::EmptyDeployment
    >
> Cv2xPoolStatusDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::StructDeployment<
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
        ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
        CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
        CommonAPI::EmptyDeployment
    >,
    CommonAPI::SomeIP::ArrayDeployment<
        CommonAPI::SomeIP::StructDeployment<
            CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
            CommonAPI::SomeIP::StructDeployment<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusTypeDeployment_t,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xCauseTypeDeployment_t,
                CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
                CommonAPI::EmptyDeployment
            >
        >
    >,
    CommonAPI::EmptyDeployment,
    CommonAPI::EmptyDeployment
> Cv2xStatusExDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>
> TxPoolIdInfoDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::EmptyDeployment,
    CommonAPI::EmptyDeployment,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<int32_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::EmptyDeployment
> EventFlowInfoDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::PriorityDeployment_t,
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::PeriodicityDeployment_t,
    CommonAPI::SomeIP::IntegerDeployment<uint64_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::EmptyDeployment,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<int32_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>
> SpsFlowInfoDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
    ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::RadioConcurrencyModeDeployment_t,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::ArrayDeployment<
        CommonAPI::SomeIP::IntegerDeployment<uint64_t>
    >,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<int32_t>,
    CommonAPI::SomeIP::IntegerDeployment<int32_t>,
    CommonAPI::SomeIP::ArrayDeployment<
        CommonAPI::SomeIP::StructDeployment<
            CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
            CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
            CommonAPI::SomeIP::IntegerDeployment<uint16_t>
        >
    >,
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>
> Cv2xRadioCapabilitiesDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>
> MacDetailsDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint8_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint64_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>
> SpsSchedulingInfoDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
    CommonAPI::SomeIP::IntegerDeployment<uint32_t>
> TrustedUEInfoDeployment_t;
typedef CommonAPI::SomeIP::StructDeployment<
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::ArrayDeployment<
        CommonAPI::SomeIP::IntegerDeployment<uint32_t>
    >,
    CommonAPI::EmptyDeployment,
    CommonAPI::SomeIP::ArrayDeployment<
        CommonAPI::SomeIP::StructDeployment<
            CommonAPI::SomeIP::IntegerDeployment<uint32_t>,
            CommonAPI::EmptyDeployment,
            CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
            CommonAPI::SomeIP::IntegerDeployment<uint16_t>,
            CommonAPI::SomeIP::IntegerDeployment<uint32_t>
        >
    >
> TrustedUEInfoListDeployment_t;

// Type-specific deployments

// Attribute-specific deployments

// Argument-specific deployment

// Broadcast-specific deployments

} // namespace Cv2xRadioTypes_
} // namespace cv2x
} // namespace telux
} // namespace commonapi
} // namespace v1

#endif // V1_COMMONAPI_TELUX_CV2X_Cv2x_Radio_Types_SOMEIP_DEPLOYMENT_HPP_
